Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 97004 - dev-java/spring-framework - build simple, portable, fast and flexible JVM-based systems and applications
Summary: dev-java/spring-framework - build simple, portable, fast and flexible JVM-bas...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://spring.io/
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on: 203080 96751 96906 97005 97007 97008 97009 97011 97012 97720 97756 203076 263636
Blocks: 177517 237562 259673 487280 582012
  Show dependency tree
 
Reported: 2005-06-24 19:24 UTC by Josh Nichols (RETIRED)
Modified: 2018-09-29 10:21 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
spring-framework-1.2.1.ebuild (spring-framework-1.2.1.ebuild,7.26 KB, text/plain)
2005-06-24 21:28 UTC, Josh Nichols (RETIRED)
Details
ebuild for the framework (spring-framework-2.5.6.ebuild,7.06 KB, text/plain)
2009-02-25 22:06 UTC, Ralph Sennhauser (RETIRED)
Details
fixes hardcoded version number in build.xml (spring-framework-2.5.6-build.xml.patch,1.06 KB, patch)
2009-02-25 22:07 UTC, Ralph Sennhauser (RETIRED)
Details | Diff
dev-java:spring-context-3.2.4:20131024-205518.log (file_97004.txt,15.70 KB, text/plain)
2013-10-24 21:13 UTC, Tom Wijsman (TomWij) (RETIRED)
Details
spring-context-3.2.4.ebuild (spring-context-3.2.4.ebuild,2.54 KB, text/plain)
2013-10-24 21:16 UTC, Tom Wijsman (TomWij) (RETIRED)
Details
spring-context-3.2.4-build.xml (spring-context-3.2.4-build.xml,4.00 KB, text/xml)
2013-10-24 21:16 UTC, Tom Wijsman (TomWij) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Nichols (RETIRED) gentoo-dev 2005-06-24 19:24:44 UTC
Spring is a very cool framework for helping reducing the amount of work and tedium usually associated with doing J2EE apps on many fronts (frontend, database connectivity, etc).
Comment 1 Josh Nichols (RETIRED) gentoo-dev 2005-06-24 21:28:13 UTC
Created attachment 61890 [details]
spring-framework-1.2.1.ebuild

This ebuild utilizes patches/ebuilds from dependent bugs.

I've said this a couple time (in fewer words) in #gentoo-java, but will repeat
it here:
Spring framework has a number of features. A lot of jars are needed to build
the framework. However, some jars are only necessary for some features at
runtime for that particular feature. For example, hibernate2 jars are needed
when using Spring's Hibernate 2.1.x support.
So, I suggest that we replace jars where we can, and leave the rest until their
dependencies can be filled. In addition, make a notice that some features will
not work at runtime because their runtime dependencies haven't packaged yet.

If we don't do this, I suspect that it will be a _very_ long time before all
the dependencies can be packaged ie, geronimo is a dependency of one of the
dependencies.
Comment 2 Josh Nichols (RETIRED) gentoo-dev 2005-08-22 18:16:50 UTC
Now maintained in the experimental overlay:
https://gentooexperimental.org/svn/java/gentoo-java-experimental/dev-java/spring-framework/
Comment 3 Alistair Bush (RETIRED) gentoo-dev 2007-12-22 21:16:59 UTC
The spring-framework ebuild is not out of date.  So this bug will reflect the efforts to produce a ebuild for the 2.5 (and up) versions of spring.
Comment 4 Ralph Sennhauser (RETIRED) gentoo-dev 2009-02-25 22:02:38 UTC
(In reply to comment #3)
> The spring-framework ebuild is not out of date.  So this bug will reflect the
> efforts to produce a ebuild for the 2.5 (and up) versions of spring.
> 

Still at it? Will attach an updated ebuild for the spring-framework. Any thoughts?
Comment 5 Ralph Sennhauser (RETIRED) gentoo-dev 2009-02-25 22:06:01 UTC
Created attachment 183195 [details]
ebuild for the framework

There is still a long way to go to build it from source code only.
Comment 6 Ralph Sennhauser (RETIRED) gentoo-dev 2009-02-25 22:07:28 UTC
Created attachment 183197 [details, diff]
fixes hardcoded version number in build.xml
Comment 7 Johann Schmitz (ercpe) (RETIRED) gentoo-dev 2013-09-18 05:25:15 UTC
I'm working on the ebuilds for the various spring-* components in the last-hope overlay https://github.com/ercpe/lh-overlay/tree/master/dev-java as spring-core and spring-beans are dependencies of dependencies of .. for ganttproject (#119276).
Comment 8 Johann Schmitz (ercpe) (RETIRED) gentoo-dev 2013-10-18 17:00:26 UTC
The modules spring-core, spring-beans, spring-aop and spring-expression from the 3.2.4 version are now in the tree:

+  18 Oct 2013; Johann Schmitz <ercpe@gentoo.org> +metadata.xml,
+  +spring-core-3.2.4.ebuild:
+  Ebuild for the core module of the spring framework (wrt #97004) Needed
+  standalone and as a dependency of multiple packages.

+  18 Oct 2013; Johann Schmitz <ercpe@gentoo.org> +metadata.xml,
+  +spring-beans-3.2.4.ebuild:
+  Ebuild for the beans module of the spring-framework (wrt #97004)

+  18 Oct 2013; Johann Schmitz <ercpe@gentoo.org> +metadata.xml,
+  +spring-aop-3.2.4.ebuild:
+  Ebuild for the aop (aspect-oriented programming) module of the spring
+  framework (#97004)

+  18 Oct 2013; Johann Schmitz <ercpe@gentoo.org> +metadata.xml,
+  +spring-expression-3.2.4.ebuild:
+  Ebuild for the expression module of the spring framework (#97004)


I'm will package the other modules at some point, but first i want to finally finish some other packages which depend on the above named modules. If someone wants to finish the other modules in the meantime, here are some notes:

- The source tarball is the same for all modules. The ebuilds use the renaming functionality to avoid downloading it multiple times. I skipped the idea of one big ebuild because some modules (e.g. spring-web) have a pretty large dependency tree.
- The ant build scripts are custom build and are downloaded from my dev space (http://dev.gentoo.org/~ercpe/distfiles/dev-java/spring-framework/). The content of the tarball follows the directory structure in the source tarball because there are some dependencies when building and running the test suites (see below).
- The spring-core ebuild bundles asm and cglib (taken from the jar installed by the ebuilds in the tree). Technically it's possible to unbundle it, but it would require a lot of work to patch the source code of the other spring modules. The 
- The test code of the other spring modules require some portions of the spring-core/spring-beans test code. These two build scripts have a special target for building these bits which gets called the other build scripts via antcall. The target roughly excludes the junit tests and builds only the test utility classes.
Comment 9 Alon Bar-Lev gentoo-dev 2013-10-19 21:17:12 UTC
(In reply to Johann Schmitz (ercpe) from comment #8)
> - The spring-core ebuild bundles asm and cglib (taken from the jar installed
> by the ebuilds in the tree). Technically it's possible to unbundle it, but
> it would require a lot of work to patch the source code of the other spring
> modules. The 

Will that help?
http://pkgs.fedoraproject.org/cgit/springframework.git/tree/springframework-dont-rebundle-asm.patch?h=f20
Comment 10 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-24 21:13:31 UTC
Created attachment 361834 [details]
dev-java:spring-context-3.2.4:20131024-205518.log

Almost finished on spring-context, still needs hibernate-validator which appears to have a build.xml with quite some ivy instructions present; either needs quite some patching or the use of java-pkg-simple. And indeed, the other part of the errors seem like those can be fixed by the patch you have linked.
Comment 11 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-24 21:16:13 UTC
Created attachment 361836 [details]
spring-context-3.2.4.ebuild
Comment 12 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-24 21:16:29 UTC
Created attachment 361838 [details]
spring-context-3.2.4-build.xml
Comment 13 Patrice Clement gentoo-dev 2015-02-28 00:49:02 UTC
Yet another 10 years old bug. So many of these "ancient" bugs in Bugzilla.. amazing. Anyway. A quick glance at http://projects.spring.io/spring-framework/ shows us that the version Gentoo package is way out of date (not even listed anymore). @Java: Spring is a recurring issue we should sort out at some point or it will ever and again get back at us and bite our backs.
Comment 14 James Le Cuirot gentoo-dev 2016-04-03 21:47:59 UTC
I have masked the Spring Framework packages we have for the time being because they're old, vulnerable, and we're not likely to update them any time soon. Hopefully we can revisit it when the Maven stuff works out.
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-29 10:21:14 UTC
Going to mark WONTFIX after removal of Spring packages.  Feel free to reopen if someone wants to work on it again.